cURL
curl https://api.apipod.ai/v1/videos/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
}'import os
import requests
payload = {
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
}
response = requests.post(
"https://api.apipod.ai/v1/videos/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"os"
)
func main() {
payload := map[string]any{}
if err := json.Unmarshal([]byte(`{
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
}`), &payload); err != nil {
panic(err)
}
body, err := json.Marshal(payload)
if err != nil {
panic(err)
}
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/videos/generations", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
});
let response = Client::new()
.post("https://api.apipod.ai/v1/videos/generations")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/videos/generations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify(
{
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
}
),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}Wan 2.7
WAN 2.7 Video Edit
Wan 2.7 视频编辑是阿里 Wan Video模型的独立任务模式,根据文本指令和可选图片参考编辑源视频。
POST
https://api.apipod.ai
/
v1
/
videos
/
generations
cURL
curl https://api.apipod.ai/v1/videos/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
}'import os
import requests
payload = {
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
}
response = requests.post(
"https://api.apipod.ai/v1/videos/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"os"
)
func main() {
payload := map[string]any{}
if err := json.Unmarshal([]byte(`{
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
}`), &payload); err != nil {
panic(err)
}
body, err := json.Marshal(payload)
if err != nil {
panic(err)
}
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/videos/generations", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
});
let response = Client::new()
.post("https://api.apipod.ai/v1/videos/generations")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/videos/generations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify(
{
"model": "wan2.7-videoedit",
"prompt": "A premium product photograph on a dark studio set, precise typography, soft rim lighting, highly detailed.",
"video_url": "https://cdn.example.com/source.mp4",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"resolution": "1080P",
"duration": 0
}
),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}授权
在 Authorization 请求头中使用 Bearer APIPod_API_KEY。
请求体
application/json
APIPod 公开模型 ID。
Allowed value:
"wan2.7-videoedit"生成或编辑指令。 最大字符串长度:5000。
可公开访问的源视频 URL。
描述不希望出现在视频画面中的内容,用于限制生成画面。
negative_prompt
string
默认值:low resolution, errors, worst quality, poor quality, incomplete, extra fingers, poor aspect ratio.
描述不希望出现在视频画面中的内容,用于限制生成画面。 最大字符串长度:500。
可公开访问的源图片或参考图 URL。
描述不希望出现在视频画面中的内容,用于限制生成画面。
可用选项:
720P, 1080P 视频时长,单位为秒。
可用选项:
0, 2, 3, 4, 5, 6, 7, 8, 9, 10 视频音频设置。auto(默认)会根据提示词判断是重新生成音频还是保留输入素材的原音;origin 强制保留输入视频的原音,不重新生成。
可用选项:
auto, origin 添加上游水印。
⌘I